# Generated by Django 4.2b1 on 2023-03-08 15:08

import phonenumber_field.modelfields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="TelegramUser",
            fields=[
                ("telegram_id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("username", models.CharField(blank=True, max_length=32, null=True, unique=True)),
                (
                    "phone_number",
                    phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=16, region="RU"),
                ),
            ],
            options={
                "verbose_name_plural": "Telegram users",
                "ordering": ["username"],
            },
        ),
    ]
